コンテンツにスキップ
AchaduDevelopers
Developers/API/journey_executions

ジャーニーの実行をリストする

List status, step and times of executions.

GET/journeys/{id}/executionsjourneys:read
行動

読み取りではフィルターが尊重され、キーにリンクされたアカウントに表示されるリソースのみが返されます。

効果

リソースを変更したり、公開をトリガーしたりしません。

繰り返し

この操作は繰り返しても安全です。 429 または 5xx では、ジッターのある指数バックオフを使用します。

リクエスト

idstring · pathリソース識別子。minLength 2 · maxLength 100必須
limitinteger · queryページあたりの数量。min 1 · max 100 · default 30オプション
offsetinteger · queryページネーションのオフセット。min 0 · default 0オプション
statusstring · query実行ステータス。オプション
AuthorizationBearer ach_live_...
Acceptapplication/json
範囲journeys:read

実行ファイルの例

curl
curl 'https://achadu.com/api/v1/journeys/resource_id/executions' \
  -H 'Authorization: Bearer ach_live_...' \
  -H 'Accept: application/json'

応答とエラー

すべての応答には request_id が含まれます。リストにはページネーションが追加されます。可変リソースは、操作後に永続化された状態を返します。

200 application/json
{
  "data": [
    {
      "id": "jrn_01J...",
      "name": "Recover interest",
      "trigger": "conversation.updated",
      "blocks": [],
      "active": 1,
      "executions": 42
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 30,
    "offset": 0,
    "has_more": false
  },
  "request_id": "req_01J..."
}
200操作が完了しました。
400Invalid parameter, body or transition.
401キーが見つからない、無効、期限切れ、または取り消されています。
402アカウント プランでは、このインターフェイスはリリースされません。
403A chave precisa do escopo journeys:read.
404このアカウントには機能が存在しません。
409The current state prevents this operation.
413The JSON body exceeds 128 KB.
4291 分あたり 120 リクエストのウィンドウを超えました。